.helm_based_job:
  extends: .docker_based_job
  image: gitlab.ssec.wisc.edu:5555/cspp_geo/geosphere/geosphere-deploy/cichart:latest
  variables:
    KUBECONFIG: "$KUBECONFIG:$kubekorner_k3s_config"
  before_script:
    - docker info
    - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}
    - source ./helpers/shell_aliases.sh
    - helm registry login -u ${CI_REGISTRY_USER} -p ${CI_JOB_TOKEN} ${CI_REGISTRY}
    - helm repo add stable https://kubernetes-charts.storage.googleapis.com
    - helm repo update
